> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an application configuration

> Retrieve an application configuration



## OpenAPI

````yaml openapi-leasing.json GET /v1/application_configurations/{id}
openapi: 3.1.0
info:
  title: Yorlet Leasing API
  description: >-
    APIs for managing applications, deposits, guarantors, references, and
    tenancies.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/application_configurations/{id}:
    get:
      tags:
        - Application Configurations
      summary: Retrieve an application configuration
      description: Retrieve an application configuration
      operationId: application_configurations_retrieve
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: >-
            Returns an application configuration object if a valid identifier
            was provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - application_configuration
                  active:
                    type: boolean
                    description: Whether the application configuration is active.
                  initial_step:
                    type: string
                    description: The identifier of the initial step in the configuration.
                  name:
                    type: string
                    description: The name of the application configuration.
                  steps:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - advance_rent
                              description: The type of the step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Advance rent
                          description: The advance rent step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            type:
                              type: string
                              enum:
                                - completion
                              description: The type of the step.
                            completion:
                              type: object
                              properties:
                                behavior:
                                  type: string
                                  enum:
                                    - automatic
                                    - manual
                                  description: The completion behavior for the step.
                                collection_method:
                                  type: string
                                  enum:
                                    - charge_automatically
                                    - send_invoice
                                  description: The rent collection method for the tenancy.
                                tenancy_behaviour:
                                  type: string
                                  enum:
                                    - roll
                                    - complete
                                  description: The tenancy behaviour at end of term.
                                credit_note:
                                  type: string
                                  enum:
                                    - none
                                    - out_of_band
                                    - customer_balance
                                  description: >-
                                    The credit note behaviour for tenancy
                                    revisions.
                              required:
                                - behavior
                              description: The completion settings for the step.
                          required:
                            - id
                            - type
                            - completion
                          title: Completion
                          description: The completion step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - contract
                              description: The type of the step.
                            contract:
                              type: object
                              properties:
                                contract_templates:
                                  type: array
                                  items:
                                    type: string
                                  description: >-
                                    The contract template IDs that can be used
                                    at this step.
                                owner_signature_required:
                                  type: boolean
                                  description: >-
                                    Whether the owner signature is required when
                                    signing the contract.
                                send_owner_contract:
                                  type: boolean
                                  description: >-
                                    Whether to send an email notification to the
                                    owner when the contract has been signed.
                                break_clause:
                                  type: object
                                  properties:
                                    terms:
                                      type:
                                        - string
                                        - 'null'
                                      description: The break clause terms.
                                  required:
                                    - terms
                                  description: The break clause data.
                              description: >-
                                The contract settings for the application
                                configuration step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Contract
                          description: The contract step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - deposit
                              description: The type of the step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Deposit
                          description: The deposit step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - holding_fee
                              description: The type of the step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Holding fee
                          description: The holding fee step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - partial_payment
                              description: The type of the step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Partial payment
                          description: The partial payment step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - payment_method
                              description: The type of the step.
                            payment_method:
                              type: object
                              properties:
                                collection_method:
                                  type: string
                                  enum:
                                    - charge_automatically
                                    - send_invoice
                                  description: The rent collection method for the tenancy.
                              description: >-
                                The payment method settings for the application
                                configuration step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Payment method
                          description: The payment method step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - pre_qualification
                              description: The type of the step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Pre-qualification
                          description: The pre-qualification step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - referencing
                            referencing:
                              type: object
                              properties:
                                automatic_reference:
                                  type: object
                                  properties:
                                    enabled:
                                      type: boolean
                                      description: >-
                                        Whether the automatic reference is
                                        enabled.
                                    provider:
                                      type: string
                                      enum:
                                        - advance_rent
                                        - canopy
                                        - homelet
                                        - let_alliance
                                      description: >-
                                        The provider to use with automatic
                                        referencing.
                                  required:
                                    - enabled
                                    - provider
                                  description: The automatic reference settings.
                              description: >-
                                The referencing settings for the application
                                configuration step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Referencing
                          description: The referencing step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - verification_session
                              description: The type of the step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Verification session
                          description: The verification session step.
                        - type: object
                          properties:
                            id:
                              type: string
                              description: The unique identifier of the step.
                            next_step:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the next step in the
                                configuration.
                            type:
                              type: string
                              enum:
                                - waitpoint
                            waitpoint:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: The name of the waitpoint.
                              required:
                                - name
                              description: >-
                                The waitpoint settings for the application
                                configuration step.
                          required:
                            - id
                            - next_step
                            - type
                          title: Waitpoint
                          description: The waitpoint step.
                    description: The steps of the application configuration.
                required:
                  - id
                  - created
                  - object
                  - active
                  - initial_step
                  - name
                  - steps
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````